#!/bin/bash

if [ $# -ne 2 ]
then
    echo "Usage: vis-qdag <path-to-qdag> <qdimacs-file>"
    exit 1
fi

QDAG=$1
FILE=$2

# Try to find a PDF viewer.
VIEWER=0
which xpdf
XPDF=$?
which acroread
ACROREAD=$?

if ((XPDF && ACROREAD))
then
    echo -e "Could neither find 'xpdf' nor 'acroread'. \nCustomize the script to use your own PDF viewer or install one of those."
    exit 1
elif ((!XPDF))
then
    VIEWER=xpdf
elif ((!ACROREAD))
then
    VIEWER=acroread
fi

$QDAG $FILE --dump-graph > /tmp/tmp\_$$.dot
dot -Tpdf /tmp/tmp\_$$.dot > /tmp/tmp\_$$.pdf

$VIEWER /tmp/tmp\_$$.pdf &